Name: alterator-net-iptables

Version: 1.11
Release: alt0.M41.5
Packager: Vladislav Zavjalov <slazav@altlinux.org>

Summary: alterator module for simple iptables configuration
License: GPL
Group: System/Configuration/Other
Url: http://wiki.sisyphus.ru/Alterator

Source: %name-%version.tar

BuildArch: noarch

Requires: alterator >= 3.9-alt3 iptables etcnet

Requires: alterator-sh-functions >= 0.10-alt1
Requires: alterator-net-common >= 0.4-alt0.M41.1
Conflicts: alterator-fbi < 2.10-alt4.M41.1
BuildPreReq: alterator >= 3.9-alt3, alterator-fbi >= 2.10-alt3

BuildPreReq: alterator >= 3.9-alt3, alterator-fbi >= 2.4-alt1, alterator-l10n

%description
alterator module for simple iptables configuration

%prep
%setup -q

%build
%make_build

%install
%makeinstall
%find_lang %name

%files -f %name.lang
%_sysconfdir/alterator/*
%_alterator_backend3dir/*
%_datadir/alterator/help/*/*
%_datadir/alterator/applications/*
%_datadir/alterator/ui/*/*
%_datadir/alterator/templates/*/*
%_datadir/alterator/templates/*/*
%_bindir/*
%dir %_libexecdir/alterator/hooks/net-iptables.d/

%changelog
* Tue Apr 07 2009 Vladislav Zavjalov <slazav@altlinux.org> 1.11-alt0.M41.5
- some cherry-picks from 2.4-alt2

* Tue Apr 07 2009 Vladislav Zavjalov <slazav@altlinux.org> 1.11-alt0.M41.4
- build for 4.1

* Thu Mar 05 2009 Vladislav Zavjalov <slazav@altlinux.org> 1.11-alt1
- iptables_helper: fix efw restarting
- iptables_helper: add DNAT stuff
- add zeroconf.desktop (udp:5353)

* Tue Mar 03 2009 Vladislav Zavjalov <slazav@altlinux.org> 1.10-alt1
- iptables_helper: fix internal interface list

* Tue Mar 03 2009 Vladislav Zavjalov <slazav@altlinux.org> 1.9-alt1
- run-parts /usr/lib/alterator/hooks/net-iptables.d/ on write

* Tue Feb 24 2009 Vladislav Zavjalov <slazav@altlinux.org> 1.8-alt1
- add ip to iface list
- html ui: add class="text" to text inputs

* Tue Feb 24 2009 Vladislav Zavjalov <slazav@altlinux.org> 1.7-alt1
- iptables_helper:
  + fix modify_list() to work with empty values
  + add -d option for reset action
  + fix help
- backend: use router mode by default
- write network interface controller names (by inger@)
  rearrange ui for these long interface names

* Fri Feb 20 2009 Vladislav Zavjalov <slazav@altlinux.org> 1.6-alt1
- add options for show action ("iptables_helper show -e" shows external interfaces etc.)

* Wed Feb 18 2009 Lebedev Sergey <barabashka@altlinux.org> 1.5-alt0.M41.4
- due to fix in l10n

* Wed Feb 18 2009 Lebedev Sergey <barabashka@altlinux.org> 1.5-alt0.M41.3
- removed help file (using help file from alterator-l10n)

* Mon Feb 16 2009 Lebedev Sergey <barabashka@altlinux.org> 1.5-alt0.M41.2
- added alterator-l10n BuildReq

* Mon Feb 16 2009 Lebedev Sergey <barabashka@altlinux.org> 1.5-alt0.M41.1
- build for 4.1

* Fri Feb 13 2009 Vladislav Zavjalov <slazav@altlinux.org> 1.5-alt1
- correct work without initial config

* Fri Feb 13 2009 Lebedev Sergey <barabashka@altlinux.org> 1.4-alt0.M41.1
- build for M41
- fixed sed error output

* Wed Feb 11 2009 Vladislav Zavjalov <slazav@altlinux.org> 1.4-alt1
- iptables_helper: move ulogd rules setting on top (before DROP rule)
- iptables_helper: add transparent squid translations
- iptables_helper: change of command line options

* Tue Feb 10 2009 Vladislav Zavjalov <slazav@altlinux.org> 1.3-alt1
- iptables_helper: options for adding and removing values from existing lists
- iptables_helper: update help

* Mon Feb 09 2009 Vladislav Zavjalov <slazav@altlinux.org> 1.2-alt1
- fix ulogd rules

* Mon Feb 09 2009 Vladislav Zavjalov <slazav@altlinux.org> 1.1-alt1
- don't eval set_locale()
- change labels: firewall/gateway -> router/gateway

* Fri Feb 06 2009 Vladislav Zavjalov <slazav@altlinux.org> 1.0-alt1
- Rewrite all. Use iptables_helper script (see `iptables_helper help`)

* Fri Jan 30 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt2
- backend: fix reset_basic function - 2

* Fri Jan 30 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.4-alt1.M41.4
- backend: fix reset_basic function - 2

* Fri Jan 30 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt1
- backend: fix reset_basic function

* Fri Jan 30 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.4-alt1.M41.3
- backend: fix reset_basic function

* Tue Jan 27 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.4-alt4
- show warning if alterator port is closed on any interface

* Tue Jan 27 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.4-alt1.M41.2
- show warning if alterator port is closed on any interface
  (cherry-pick from master)

* Tue Jan 27 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.4-alt3
- move help and translations to alterator-l10n

* Tue Jan 27 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.4-alt1.M41.1
- build for 4.1

* Tue Jan 27 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.4-alt2
- fix work with empty chainfiles

* Mon Jan 26 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.4-alt0.M41.1
- build for 4.1

* Mon Jan 26 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.4-alt1
- change policy reset function
- add ldap.desktop

* Mon Jan 26 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.3-alt2.M41.1
- build for 4.1

* Mon Jan 26 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.3-alt3
- add dhcp.desktop

* Fri Jan 23 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.3-alt1.M41.1
- build for 4.1

* Fri Jan 23 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.3-alt2
- forwarding setting does not depends on firewall

* Tue Jan 20 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.3-alt0.M41.1
- build for 4.1

* Tue Jan 20 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.3-alt1
- more visible warning about closing alterator port
- don't ask for a confirmation when firewall is off
- don't remove foreign rules (without -j ACCEPT, -j DROP, -P)

* Mon Dec 29 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.2-alt3.M41.5
- cherry-pick from master

* Mon Dec 29 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.2-alt8
- add ip_conntrack_ftp to /etc/net/ifaces/default/fw/iptables/modules 
  (for ftp passive mode)

* Fri Dec 05 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.2-alt3.M41.4
- add cups.desktop

* Fri Dec 05 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.2-alt7
- add cups.desktop

* Fri Dec 05 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.2-alt3.M41.3
- update help and changelog

* Fri Dec 05 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.2-alt6
- rebuild with new l10n

* Thu Dec 04 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.2-alt3.M41.2
- fix spec

* Thu Dec 04 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.2-alt5
- fix spec

* Thu Dec 04 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.2-alt3.M41.1
- fix labels and translations, add help and po
- merge with master

* Thu Dec 04 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.2-alt4
- simplify warning logic when closing ahttpd port
- fix problem with desktop file translations

* Wed Dec 03 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.2-alt2.M41.1
- build for 4.1

* Wed Dec 03 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.2-alt3
- warning when closing ahttpd port

* Tue Nov 25 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.2-alt1.M41.1
- build for 4.1

* Tue Nov 25 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.2-alt2
- add support for extra port lists
- cache desktop data
- fix backend logic for action write
- join forms

* Thu Aug 28 2008 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1.M41.1
- build for 4.1

* Thu Aug 28 2008 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- join to common translation database

* Wed Aug 27 2008 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- Initial build
